ata_scsi_rw_xlat
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_rw_xlat — Translate SCSI r/w command into an ATA one

## Synopsis

`unsigned int ata_scsi_rw_xlat (` | struct ata_queued_cmd * | qc`)`;

## Arguments

`qc`

  Storage for translated ATA taskfile

## Description

Converts any of six SCSI read/write commands into the ATA counterpart, including starting sector (LBA), sector count, and taking into account the device's LBA48 support.

Commands `READ_6`, `READ_10`, `READ_16`, `WRITE_6`, `WRITE_10`, and `WRITE_16` are currently supported.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Zero on success, non-zero on error.

Prev | Up | Next
ata_scsi_verify_xlat | Home | ata_scsi_translate